Subject: Bug#4355: lesstif-dev has incoorect location for include files<<Package

From: Klee Dienes <[email-masked]>
Date: Sat, 31 Aug 1996 19:22:16 -0700

I'm a bit reluctant to move the header files to /usr/include, since
the FSSTND implies that all X-related header files should go under
/usr/X11R6/include.

I'm not sure if /usr/X11R6/include is in the default search path or
not, though I'd argue that putting files in there is confusing (the
only ones there now are xforms and netaudio), since the symlink from
/usr/include/X11 -> /usr/X11R6/include/X11 might confuse one into
thinking that those were the only files there.

Plus I just generally think Xm belongs under X11 like all the rest of
the widget libraries.

For now, I've left the header files where they were, and changed
lesstif to include the following two symlinks:

/usr/include/Xm -> /usr/X11R6/include/X11/Xm
/usr/X11R6/include/Xm -> /usr/X11R6/include/X11/Xm

I'm certainly open to further debate, though --- I'm just doing this
now to get a fixed version out as quickly as possible.  I'll leave the
bug report open for the time-being.